# Uses of Interface
org.apache.commons.math3.ode.sampling.StepInterpolator

Packages that use StepInterpolator
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.

## Uses of StepInterpolator in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode with parameters of type StepInterpolator
Modifier and Type
Method
Description
`void`
ContinuousOutputModel.`handleStep(StepInterpolator interpolator, boolean isLast)`
Handle the last accepted step.

## Uses of StepInterpolator in org.apache.commons.math3.ode.events

Methods in org.apache.commons.math3.ode.events with parameters of type StepInterpolator
Modifier and Type
Method
Description
`boolean`
EventState.`evaluateStep(StepInterpolator interpolator)`
Evaluate the impact of the proposed step on the event handler.
`void`
EventState.`reinitializeBegin(StepInterpolator interpolator)`
Reinitialize the beginning of the step.

## Uses of StepInterpolator in org.apache.commons.math3.ode.sampling

Classes in org.apache.commons.math3.ode.sampling that implement StepInterpolator
Modifier and Type
Class
Description
`class`
`AbstractStepInterpolator`
This abstract class represents an interpolator over the last step during an ODE integration.
`class`
`NordsieckStepInterpolator`
This class implements an interpolator for integrators using Nordsieck representation.
Methods in org.apache.commons.math3.ode.sampling that return StepInterpolator
Modifier and Type
Method
Description
`StepInterpolator`
AbstractStepInterpolator.`copy()`
Copy the instance.
`StepInterpolator`
StepInterpolator.`copy()`
Copy the instance.
`protected abstract StepInterpolator`
AbstractStepInterpolator.`doCopy()`
Really copy the finalized instance.
`protected StepInterpolator`
NordsieckStepInterpolator.`doCopy()`
Really copy the finalized instance.
Methods in org.apache.commons.math3.ode.sampling with parameters of type StepInterpolator
Modifier and Type
Method
Description
`void`
DummyStepHandler.`handleStep(StepInterpolator interpolator, boolean isLast)`
Handle the last accepted step.
`void`
StepHandler.`handleStep(StepInterpolator interpolator, boolean isLast)`
Handle the last accepted step
`void`
StepNormalizer.`handleStep(StepInterpolator interpolator, boolean isLast)`
Handle the last accepted step